Bug 225508 - [NEW PORT] dns/bind9stats: Munin plugin to collect BINDv9 data from the statistics channel
Summary: [NEW PORT] dns/bind9stats: Munin plugin to collect BINDv9 data from the stati...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: feature, patch
Depends on:
Blocks:
 
Reported: 2018-01-28 17:31 UTC by John W. O'Brien
Modified: 2018-06-05 13:02 UTC (History)
1 user (show)

See Also:


Attachments
dns/bind9stats: New port (5.05 KB, text/plain)
2018-01-28 17:31 UTC, John W. O'Brien
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2018-01-28 17:31:10 UTC
Created attachment 190137 [details]
dns/bind9stats: New port

Description
===========

A munin plugin to obtain data from a BIND9 statistics server, written
in Python. Tested with BIND 9.10 and 9.11's statistics server exporting
version 3 of the statistics.

WWW: https://github.com/shuque/bind9stats


QA
==

portlint: OK
poudriere: OK -- testport w/py27 (default), py34, py35, py36
Comment 1 VK freebsd_triage 2018-02-12 10:13:38 UTC
Thanks for the patch.

But if I may, personally I'm not in favor of adding munin plugins as random ports like this. Maybe add it to munin-contrib? Or maybe call it munin-contrib-bind9 or something like that?

CC munin maintainer for opinion.
Comment 2 Mathieu Arnold freebsd_committer 2018-02-12 12:03:45 UTC
I can add it to munin-contrib, yes.
Comment 3 John W. O'Brien 2018-05-30 00:36:45 UTC
(In reply to Mathieu Arnold from comment #2)

mat@, I have been in touch with Shumon, the bind9stats.py author, who is interested in its inclusion with Munin. In my opinion, its use of the stats channel makes it at least unique, and perhaps superior, relative to the two BIND plugins in Munin stable [0] [1] and six BIND plugins in Munin contrib [2], all of which use a query log or a stats dump. I will be glad, with Shumon's participation, to work on getting the plugin accepted upstream in one or the other repository. In the mean time, how would you prefer to ship it in the ports tree? How can I help tee it up?

[0]
https://github.com/munin-monitoring/munin/blob/2.0.37/plugins/node.d/bind9.in
[1]
https://github.com/munin-monitoring/munin/blob/2.0.37/plugins/node.d/bind9_rndc.in
[2] https://github.com/munin-monitoring/contrib/tree/master/plugins/bind
Comment 4 commit-hook freebsd_committer 2018-06-05 13:01:27 UTC
A commit references this bug:

Author: mat
Date: Tue Jun  5 13:00:34 UTC 2018
New revision: 471757
URL: https://svnweb.freebsd.org/changeset/ports/471757

Log:
  Update to latest commit, and add a bind9stats plugin [1].

  PR:		225508 [1]
  Sponsored by:	Absolight

Changes:
  head/sysutils/munin-contrib/Makefile
  head/sysutils/munin-contrib/distinfo